﻿using System;
using System.Collections.Generic;
using System.Text;

namespace DistributedDocumentationTest
{
    public partial class Point
    {
        private int x;

        /// <summary>
        /// Compute distance from origo.
        /// </summary>
        partial void Distance(ref double dist);

        /// <summary>
        /// Constructor sets coordinates..
        /// </summary>
        /// <param name="x">Distance from origo in x-dimension</param>
        /// <param name="y">Distance from origo in y-dimension</param>
        /// <param name="z">Distance from origo in z-dimension</param>
        public Point(int x, int y, int z)
        {
            this.x = x;
            this.y = y;
            this.z = z;
        }
    }
}
